/*This library was created by Michael D. Hetisimer, BYOND key Michael3131, and by DivineTraveller.

This is a simple library that contains two associated lists that contain the months,
and days in the month, and one list that contains the days. This library is not designed for complex use
for leap year, etc. If you are looking for a complex library, look up Deadron's Calendar library at:
http://www.byond.com/developer/Deadron/Calendar

This library was not easy to make and it required quite a few hours of tweaking and debugging. I don't wish for compensation,
though a kind thanks, or credits in your game would be appreciated.

Michael3131:

MSN/Email:
mdhmule@comcast.net

DivineTraveller:

MSN:
imnothere199@hotmail.com
*/

world/New()
	..()
	spawn() Time()

var
	Time = 900
	PMTime = 1 //"Ante meridiem" or "post meridiem". A value of 1 refers to PM.
/*---------------------------CALENDAR VARIABLES---------------------------*/
//Default day.
	Day = 1
//Day of the month
	Dayofmonth = 1
//Default month
	Month = 1
//Months in the year
	list
		Monthslist = list(1 = "January",2 = "February", 3 = "March", 4 = "April", 5 = "May", 6 = "June", 7 = "July", 8 = "August", 9 = "September", 10 = "October", 11 = "November", 12 = "December")
//How many days are in a year
		Daysinmonth = list(1 = 31, 2 = 28, 3 = 31, 4 = 30, 5 = 31, 6 = 30, 7 = 31, 8 = 30, 9 = 30, 10 = 31, 11 = 30, 12 = 31) //1 is January, 2 is February, etc.
//Days in the week
		Daylist = list("Monday","Tuesday","Wednesday","Thursday","Friday","Saturday", "Sunday") //Declare days.
//Year
	Year = 2008
/*---------------------------END CALENDAR VARIABLES---------------------------*/

proc
	Time()
		set background = 1
		while(world)
			Time += 1
			if((Time - round(Time/100)*100) > 59)
				Time = round(Time/100)*100 + 100//Keeps Time from having a value of **60 or higher.
			if(Time == 1200)
				PMTime = !PMTime //Once noon/midnight comes, change the AM/PM value.
				if(!PMTime)
					Calendar() //If a new day has begun, start the Calendar proc.
			if(Time > 1259)Time -= 1200 //Keeps Time to have a value between 100 and 1259.
			sleep(50) //sleep(2.5) creates 1 day in an hour. sleep(5) creates 1 day in two hours.
	Calendar()
		//If the day of the week is less than the total amount
		if(Day < Daylist.len)
			Day += 1
			Dayofmonth += 1
		//Else, reset the day of the week
		else
			Day = 1
			Dayofmonth += 1
		//If day of the month is greater than the days in the month
		if(Dayofmonth > Daysinmonth[Month])
			Dayofmonth = 1
			Month += 1
		//If the month is greater than the amount of months there are
		if(Month > Monthslist.len)
			Month = 1
			Year += 1



mob/Stat()
	var
		Hour
		Minute
	//If it's after 10 am/pm, the hour has two digits, else, it has 1 digit
	if(Time > 959)
		Hour = copytext("[Time]",1,3)
		Minute = copytext("[Time]",3)
	else
		Hour = copytext("[Time]",1,2)
		Minute = copytext("[Time]",2)
	//Display the assigned variables as a comprehensible time
	var/TTime = "[Hour]:[Minute]  [PMTime ? "PM" : "AM"]" //[PMTime ? "PM" : "AM"] If PMTime is true, display PM, if not, AM.
	statpanel("Time")
	stat("Year:",Year)
	stat("Month:",Monthslist[Month])
	stat("Day:",Daylist[Day])
	stat("Time:",TTime)
